Bug 396744 - Notification title to use the destination file name
Summary: Notification title to use the destination file name
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Notifications (show other bugs)
Version: 5.13.3
Platform: Archlinux Linux
: NOR minor
Target Milestone: 1.0
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-22 00:42 UTC by Karthik Periagaram
Modified: 2018-08-17 10:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.14.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karthik Periagaram 2018-07-22 00:42:01 UTC
When downloading a file from source: http://website.com/foo and saving it to destination: file:///path/to/bar, the notification shown is titled after the original file name ("foo", in this case). It should instead use the destination file name as that's what the user relates to.
Comment 1 Kai Uwe Broulik 2018-08-17 09:41:37 UTC
Git commit 499d145e1a36fa0e08ba9013c41805483c22da83 by Kai Uwe Broulik, on behalf of Karthik Periagaram.
Committed on 17/08/2018 at 09:40.
Pushed by broulik into branch 'master'.

Label job notifications with destination file name

If a destination file name is present, it is a better label for a job
than the source file name. This is particularly true for web downloads
where the source file name may be a gibberish base64 string while the
destination file name would be selected by the user.

If there is no destination file name, we fall back to using the source
file name.

Differential Revision: https://phabricator.kde.org/D14857

M  +2    -1    applets/notifications/package/contents/ui/JobDelegate.qml

https://commits.kde.org/plasma-workspace/499d145e1a36fa0e08ba9013c41805483c22da83